TPROF_AMDPMI(4)

NAME
tprof_amdpmi - a tprof backend for AMD processors

SYNOPSIS
pseudo-device tprof_amdpmi

DESCRIPTION
The tprof_amdpmi driver is a tprof(4) backend driver, which uses performance-monitoring events available for some AMD processors.

It programs the processors so that "CPU Clocks not Halted" events (event select 0x76) to raise NMIs and the NMI handler collect samples.

SEE ALSO
tprof(4)

AUTHORS
The tprof_amdpmi driver was written by YAMAMOTO Takashi.